/**********************************************************************************************/
/* FBL_ReplaceFormula.h																		  */
/*                                                                       					  */
/* Foundation Base Library ( FBL )		                                   					  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002                                       					  */
/* All Rights Reserved.                                                 					  */
/**********************************************************************************************/

#ifndef __FBL_ReplaceFormula_h
   #define __FBL_ReplaceFormula_h

#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/FBL_Formula.h>
#else
#	include <FBL_Formula.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_ReplaceFormula : public FBL_Formula
{
		// must be applied for numeric fields only.

	public://///////////////////////////////////////////////////////////////////////////////////

FBL_EXP							FBL_ReplaceFormula( 
									const void* inNewValue,
									ushort 		inBytes );
							
FBL_EXP virtual					~FBL_ReplaceFormula( void  );

FBL_EXP virtual bool			DoFormula( 
									FBL_REC_ID	inRecID,
									void*		ioFieldValue,
									bool&		ioIsNull );
								
	protected:////////////////////////////////////////////////////////////////////////////////// 
	
		void*					mNewValue;		// new value.
		ushort					mBytes;			// its length.
};


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif
